DatabaseProject/Controllers/ManufacturerController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class ManufacturerController : Controller
    {
        private ScerpEntities db = new ScerpEntities();

        //
        // GET: /Manufacturer/

        public ActionResult Index()
        {
            var manufacturers = db.manufacturers.Include(m => m.location).Include(m => m.person_info).Include(m => m.person_info1);
            return View(manufacturers.ToList());
        }

        //
        // GET: /Manufacturer/Details/5

        public ActionResult Details(int id = 0)
        {
            manufacturer manufacturer = db.manufacturers.Find(id);
            if (manufacturer == null)
            {
                return HttpNotFound();
            }
            return View(manufacturer);
        }

        //
        // GET: /Manufacturer/Create

        public ActionResult Create()
        {
            ViewBag.id_location = new SelectList(db.locations, "id_location", "name");
            ViewBag.id_owner = new SelectList(db.person_info, "id_person", "name");
            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name");
            return View();
        }

        //
        // POST: /Manufacturer/Create

        [HttpPost]
        //[ValidateAntiForgeryToken]
        public ActionResult Create(manufacturer manufacturer,int temp)
        {
            if (temp == 1)
            {
                if (true)//ModelState.IsValid)
                {
                    string newLocationName = Request["newLocationName"];
                    string newLocationCity = Request["newLocationCity"];
                    string newLocationDistrict = Request["newLocationDistrict"];
                    string createnewlocation = Request["checkcreatenew"];
                    string createnewowner = Request["createnewowner"];
                    string samecontact = Request["optionsRadios"];
                    if (createnewlocation == "true")
                    {
                        var empQuery = from emp in db.locations
                                       where emp.name == newLocationName
                                       select emp;
                        List<DatabaseProject.location> empList = empQuery.ToList();
                        if (empList.Count == 0)
                        {
                            try
                            {
                                location loc = new location();
                                loc.name = newLocationName;
                                loc.city = newLocationCity;
                                loc.district = newLocationDistrict;
                                db.locations.Add(loc);

                                manufacturer.id_location = loc.id_location;
                            }
                            catch
                            {
                                return Content(newLocationName + " cannot be saved.<script>var url = '/manufacturer/';window.location.href = url;</script>");
                            }
                        }
                        else if (empList.Count > 0)
                        {
                            manufacturer.id_location = empList[0].id_location;
                        }
                    }
                    if (createnewowner == "true")
                    {
                        string newownername = Request["newownername"];
                        string newownerdescription = Request["newownerdescription"];
                        string newowneraddress = Request["newowneraddress"];
                        string newownercontact = Request["newownercontact"];

                        person_info person = new person_info();
                        person.name = newownername;
                        person.description = newownerdescription;
                        person.address = newowneraddress;
                        person.contact_number = newownercontact;

                        var empQuery = from emp in db.person_info
                                       select emp;
                        List<DatabaseProject.person_info> empList = empQuery.ToList();
                        person.id_person = empList.Count + 1;
                        person.id_type = 1;
                        if (samecontact == "2")
                        {
                            person.id_type = 3;
                            manufacturer.id_contact_person = person.id_person;
                        }
                        db.person_info.Add(person);
                        manufacturer.id_owner = person.id_person;
                    }
                    if (samecontact == "3")
                    {
                        string newcontactname = Request["newcontactname"];
                        string newcontactdescription = Request["newcontactdescription"];
                        string newcontactaddress = Request["newcontactaddress"];
                        string newcontactcontact = Request["newcontactcontact"];

                        person_info person = new person_info();
                        person.name = newcontactname;
                        person.description = newcontactdescription;
                        person.address = newcontactaddress;
                        person.contact_number = newcontactcontact;

                        var empQuery = from emp in db.person_info
                                       select emp;
                        List<DatabaseProject.person_info> empList = empQuery.ToList();
                        if (createnewowner == "true")
                        {
                            person.id_person = empList.Count + 2;
                        }
                        else
                        {
                            person.id_person = empList.Count + 1;
                        }

                        person.id_type = 2;

                        db.person_info.Add(person);
                        manufacturer.id_contact_person = person.id_person;
                    }

                    db.manufacturers.Add(manufacturer);
                    db.SaveChanges();
                    return Content(newLocationCity + " added.<script>var url = '/manufacturer/';window.location.href = url;</script>");
                }


            }
            else if (temp == 2)
            {
                try
                {
                    db.manufacturers.Add(manufacturer);
                    db.SaveChanges();
                    return Json(new { success = true });
                }
                catch (Exception e)
                {
                    return Json(new { success = false });
                }
            }
            //if (ModelState.IsValid)
            //{
            //    db.manufacturers.Add(manufacturer);
            //    db.SaveChanges();
            //    return RedirectToAction("Index");
            //}

            ViewBag.id_location = new SelectList(db.locations, "id_location", "name", manufacturer.id_location);
            ViewBag.id_owner = new SelectList(db.person_info, "id_person", "name", manufacturer.id_owner);
            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name", manufacturer.id_contact_person);
            return View(manufacturer);
        }

        //
        // GET: /Manufacturer/Edit/5

        public ActionResult Edit(int id = 0)
        {
            manufacturer manufacturer = db.manufacturers.Find(id);
            if (manufacturer == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_location = new SelectList(db.locations, "id_location", "name", manufacturer.id_location);
            ViewBag.id_owner = new SelectList(db.person_info, "id_person", "name", manufacturer.id_owner);
            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name", manufacturer.id_contact_person);
            return View(manufacturer);
        }

        //
        // POST: /Manufacturer/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(manufacturer manufacturer)
        {
            if (ModelState.IsValid)
            {
                db.Entry(manufacturer).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_location = new SelectList(db.locations, "id_location", "name", manufacturer.id_location);
            ViewBag.id_owner = new SelectList(db.person_info, "id_person", "name", manufacturer.id_owner);
            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name", manufacturer.id_contact_person);
            return View(manufacturer);
        }

        //
        // GET: /Manufacturer/Delete/5

        public ActionResult Delete(int id = 0)
        {
            manufacturer manufacturer = db.manufacturers.Find(id);
            //if (manufacturer == null)
            //{
            //    return HttpNotFound();
            //}
            ViewBag.Deletethis = manufacturer.name;
            return PartialView("_Confirmation");
        }

        //
        // POST: /Manufacturer/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            try
            {
                manufacturer manufacturer = db.manufacturers.Find(id);
                db.manufacturers.Remove(manufacturer);
                db.SaveChanges();
                return Json(new { success = true });
            }
            catch (Exception e)
            {
                return Json(new { success = false });
            }
        }

        protected override void Dispose(bool disposing)
        {

DatabaseProject/Controllers/StocksController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class StocksController : Controller
    {
        private ScerpEntities db = new ScerpEntities();

        //
        // GET: /Stocks/

        public ActionResult Index()
        {
            var stocks = db.stocks.Include(s => s.product).Include(s => s.warehouse);
            return View(stocks.ToList());
        }

        //
        // GET: /Stocks/Details/5

        public ActionResult Details(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            if (stock == null)
            {
                return HttpNotFound();
            }
            return View(stock);
        }

        //
        // GET: /Stocks/Create

        public ActionResult Create()
        {
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id");
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name");
            return View();
        }

        //
        // POST: /Stocks/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(stock stock)
        {
            if (ModelState.IsValid)
            {
                db.stocks.Add(stock);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // GET: /Stocks/Edit/5

        public ActionResult Edit(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            if (stock == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // POST: /Stocks/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(stock stock)
        {
            if (ModelState.IsValid)
            {
                db.Entry(stock).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // GET: /Stocks/Delete/5

        public ActionResult Delete(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            //if (stock == null)
            //{
            //    return HttpNotFound();
            //}
            //return View(stock);
            ViewBag.Deletethis = stock.name;
            return PartialView("_ConfirmStockDelete");
        }

        //
        // POST: /Stocks/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            try
            {
                stock stock = db.stocks.Find(id);
                db.stocks.Remove(stock);
                db.SaveChanges();
                return Json(new { success = true });
            }
            catch (Exception e)
            {
                return Json(new { success = false });
            }
        }

        public ActionResult CreateWarehouse()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_CreateWarehouse");
        }

        public ActionResult CreateProduct()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_Createproduct");
        }

        public ActionResult CreatePerson()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_CreatePerson");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

DatabaseProject/Views/Manufacturer/Create.cshtml
@model DatabaseProject.manufacturer

@{
    ViewBag.Title = "Create";
    DatabaseProject.ScerpEntities db = new DatabaseProject.ScerpEntities();
    var empQuery2 = from emp in db.person_info
                    select emp;
    List<DatabaseProject.person_info> empList2 = empQuery2.ToList();
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Dashboard</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            @using (Ajax.BeginForm("Create", "Manufacturer", new { temp = 1 }, new AjaxOptions { UpdateTargetId = "divInterestDeatils" }))
            {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)

                <fieldset>

                    @*<div class="col-lg-2 control-label">
                        <label for="id_manufacturers">id_manufacturers</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" data-val="true" data-val-number="The field id_manufacturers must be a number." data-val-required="The id_manufacturers field is required." id="id_manufacturers" name="id_manufacturers" type="number" value="">
                        <span class="field-validation-valid" data-valmsg-for="id_manufacturers" data-valmsg-replace="true"></span>
                    </div>*@

                    <div class="col-lg-2 control-label">
                        <label for="name">Name</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="name" name="name" type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="description">Description</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="description" name="description" type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
                        <br />
                    </div>
                    <div class="col-lg-push-6">
                        <div class="col-md-2 column">
                            <label for="id_location">Location</label>
                        </div>
                        <div class="col-md-2 column">
                            <select id="id_location" name="id_location" class="form-control">
                                <option value=""></option>
                                @{

                var empQuery = from emp in db.locations
                               select emp;
                List<DatabaseProject.location> empList = empQuery.ToList();
                foreach (DatabaseProject.location temp in empList)
                {
                    <option value="@temp.id_location">@temp.name</option>
                }
                                }
                            </select>
                            <span class="field-validation-valid" data-valmsg-for="id_location" data-valmsg-replace="true"></span>
                            <br />
                        </div>
                        <div class="col-md-2 column">
                            <h4>
                                <label>
                                    <input type="checkbox" name="checkcreatenew" id="chkdwn1" value="false"> Create New
                                </label>
                            </h4>
                        </div>
                        <div id="CreateNewLocationDiv1">
                            <div class="col-md-2 column">
                                <input class="form-control" type="text" value="" placeholder="Name" name="newLocationName">
                            </div>
                            <div class="col-md-2 column">
                                <input class="form-control" type="text" value="" placeholder="City" name="newLocationCity">
                            </div>
                            <div class="col-md-2 column">
                                <input class="form-control" type="text" value="" placeholder="District" name="newLocationDistrict">
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12">

                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="id_owner">person_info</label>
                    </div>
                    <div class="col-lg-10">
                        <select id="id_owner" name="id_owner" class="form-control">
                            <option value=""></option>
                            @{
                foreach (DatabaseProject.person_info temp in empList2)
                {
                    <option value="@temp.id_person">@temp.name</option>
                }
                            }
                        </select>
                        <span class="field-validation-valid" data-valmsg-for="id_owner" data-valmsg-replace="true"></span>
                        <br />
                        <label>
                            <input type="checkbox" name="createnewowner" id="chkdwn2" value="false"> Create New Owner
                        </label>
                        <div id="CreateNewLocationDiv2">
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Name" name="newownername">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Description" name="newownerdescription">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Address" name="newowneraddress">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Contact Number" name="newownercontact">
                                <br />
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="id_contact_person">person_info1</label>
                    </div>
                    <div class="col-lg-10">
                        <select id="id_contact_person" name="id_contact_person" class="form-control">
                            <option value=""></option>
                            @{
                foreach (DatabaseProject.person_info temp in empList2)
                {
                    <option value="@temp.id_person">@temp.name</option>
                }
                            }
                        </select>
                        <span class="field-validation-valid" data-valmsg-for="id_contact_person" data-valmsg-replace="true"></span>
                        <div class="radio">
                            <label>
                                <input type="radio" name="optionsRadios" id="chkdwn3" value="1" checked="">
                                Choose from list
                            </label>
                        </div>
                        <div class="radio">
                            <label>
                                <input type="radio" name="optionsRadios" id="chkdwn4" value="false">
                                Same as Owner
                            </label>
                        </div>
                        <div class="radio">
                            <label>
                                <input type="radio" name="optionsRadios" id="chkdwn5" value="false">
                                Create New
                            </label>
                        </div>
                        <div id="CreateNewLocationDiv3">
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Name" name="newcontactname">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Description" name="newcontactdescription">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Address" name="newcontactaddress">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Contact Number" name="newcontactcontact">
                                <br />
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-10 col-lg-offset-2">
                        <h4><div class="text-success" id="divInterestDeatils"></div></h4>
                        <br>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </fieldset>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>
    </div>
</div>



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

DatabaseProject/Views/Manufacturer/Index.cshtml
@model IEnumerable<DatabaseProject.manufacturer>

@{
    ViewBag.Title = "Index";
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Manufacturers</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-3 col-md-6">
            <div class="panel panel-yellow">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col-xs-3">
                            <i class="fa fa-cogs fa-5x"></i>
                        </div>
                        <div class="col-xs-9 text-right">
                            <div class="huge">124</div>
                            <div>New Orders!</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="panel panel-green">
                <a href="@Url.Action("Create")">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-xs-3">
                                <i class="fa fa-plus-square fa-5x"></i>
                            </div>
                            <div class="col-xs-9 text-right">
                                <div class="huge"></div>
                                <div>Create New</div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    All Manufacturers
                </div>
                <!-- /.panel-heading -->
                <div class="panel-body">
                    <div class="table-responsive">
                        <div id="dataTables-example_wrapper" class="dataTables_wrapper form-inline" role="grid">
                            <table class="table table-striped table-bordered table-hover dataTable no-footer" id="dataTables-example" aria-describedby="dataTables-example_info">
                                <thead>
                                    <tr role="row">
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Rendering engine: activate to sort column ascending" style="width: 160px;">Manufacturer Name</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Rendering engine: activate to sort column ascending" style="width: 179px;">Description</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Browser: activate to sort column ascending" style="width: 110px;">Location</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Engine version: activate to sort column ascending" style="width: 154px;">Owner</th>
                                        <th class="sorting_asc" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="CSS grade: activate to sort column ascending" style="width: 112px;" aria-sort="ascending">Contact</th>
                                        <th class="sorting_asc" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="CSS grade: activate to sort column ascending" style="width: 180px;" aria-sort="ascending"></th>

                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model)
                                    {
                                        <tr class="gradeA even">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.description)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.location.name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.person_info.name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.person_info1.name)
                                            </td>
                                            <td>
                                                @Html.ActionLink("Edit", "Edit", new { id = @item.id_manufacturers }) |
                                                @Html.ActionLink("Details", "Details", new { id = @item.id_manufacturers }) |
                                                @Html.ActionLink("Delete", "Delete", null, new { id = @item.id_manufacturers }, new { id = "btnCreate" })
                                                @*@Html.ActionLink("CreateProductModal", "CreateProductModal", "Stocks", new { id = "btnCreate" });*@
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.panel-body -->
            </div>
        </div>
    </div>
</div>